Lisp này được viết ra giúp bạn thay đổi hatch thành solid hatch nhanh chống, bạn có thể ứng dụng nhiều phương pháp khác nhau để thay đổi như lệnh MA … nhưng không thể nào thay đổi thành solid hatch nhanh hơn lisp này được

Lisp này thì chỉ được sử dụng nhiều trong xây dựng nhé

Xem thêm: Lisp array nâng cao trong autocad

Lisp thay đổi hatch thành solid hatch

Cách sử dụng:

Gõ lệnh solid2d <Enter>

Sellect object : Chúng ta có thể chọn hatch nào muốn đổi, hoặc bấm all để select tất cả

Gõ Enter để thực thi lệnh

Code:

(defun c:solid2d (/ ss)
 (vl-load-com)
 (cond ((not acdoc)
 (setq acdoc (vla-get-activedocument (vlax-get-acad-object)))
 )
 )
 (if (setq ss (ssget "_:L" '((0 . "HATCH") (2 . "~SOLID"))))
 (progn
 (vla-StartUndoMark acdoc)
 ((lambda (i / sn)
 (while
 (setq sn (ssname ss (setq i (1+ i))))
 (vla-setPattern
 (vlax-ename->vla-object sn)
 acHatchPatternTypePreDefined
 "SOLID"
 )
 )
 )
 -1
 )
 (vla-EndUndoMark acdoc)
 )
 (princ)
 )
 (princ)
 )

 

 

Có thể bạn cần

One thought on “Lisp thay đổi hatch thành solid hatch

Trả lời

Email của bạn sẽ không được hiển thị công khai.